---
lang: en
title: 'API docs: socketio.httpserverresolvedoptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.httpserverresolvedoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [HttpServerResolvedOptions](./socketio.httpserverresolvedoptions.md)

## HttpServerResolvedOptions interface

Valid configuration for the HttpServer constructor.

**Signature:**

```typescript
export interface HttpServerResolvedOptions 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[basePath?](./socketio.httpserverresolvedoptions.basepath.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[cors](./socketio.httpserverresolvedoptions.cors.md)


</td><td>


</td><td>

cors.CorsOptions


</td><td>


</td></tr>
<tr><td>

[host?](./socketio.httpserverresolvedoptions.host.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[path?](./socketio.httpserverresolvedoptions.path.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[port](./socketio.httpserverresolvedoptions.port.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
</tbody></table>

